ru.bitel.bgbilling.modules.tv.runtime

## Class TvAccountStateAndOptionsDatabaseWorker

- java.lang.Object
- - ru.bitel.common.worker.WorkerTask<EventListenerContext>
  - - ru.bitel.bgbilling.kernel.event.EventWorker
    - - ru.bitel.bgbilling.modules.tv.runtime.TvAccountStateAndOptionsDatabaseWorker

- All Implemented Interfaces:
    java.lang.Runnable, EventListener<Event>

      public class TvAccountStateAndOptionsDatabaseWorker
      extends EventWorker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.worker.WorkerTask

      `ru.bitel.common.worker.WorkerTask.BlockingExecutionHandler`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.EventWorker

      `batchWait, consumer, errorPause, moduleId, working`

    - ### Fields inherited from class ru.bitel.common.worker.WorkerTask

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccountStateAndOptionsDatabaseWorker(TvApplication application)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `doTask(java.lang.Object task)` Выполнение одной задачи (события).
    `protected boolean` | `runWorker()` Вызывается, когда появляются задачи.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.EventWorker

      `doTasks, internalDoTask, internalRunWorker, notify, poll, pollFirstTask, runImpl, setConsumer, shutdown`

    - ### Methods inherited from class ru.bitel.common.worker.WorkerTask

      `newBlockingFixedThreadPool, newFixedThreadPool, newFixedThreadPool, newScheduledThreadPool, run, runSync, runSync, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountStateAndOptionsDatabaseWorker

          public TvAccountStateAndOptionsDatabaseWorker(TvApplication application)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### runWorker

          protected boolean runWorker()
                               throws ru.bitel.bgbilling.common.BGException

      Description copied from class: `EventWorker`
      Вызывается, когда появляются задачи. Внутри данного метода нужно вызвать `EventWorker.doTasks()`, который выполняет последовательно появившиеся задачи. А перед и после вызова `EventWorker.doTasks()` можно инициализировать и освободить DAO.
      Specified by:
        `runWorker` in class `EventWorker`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doTask

          public java.lang.Object doTask(java.lang.Object task)
                                  throws ru.bitel.bgbilling.common.BGException

      Description copied from class: `EventWorker`
      Выполнение одной задачи (события).
      Specified by:
        `doTask` in class `EventWorker`
      Returns:
        обычно null.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`